Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.commands
Class ChangeContext

    java.lang.Object
      rendsite.commands.ChangeContext

All Implemented Interfaces:
  Constants, things.common.ThingsConstants

    public class ChangeContext

extends java.lang.Object
implements Constants

Change management context.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary

Fields inherited from interface rendsite.Constants
`ERRORED, METAFILE_LOCAL_SUFFIX, METAFILE_PREFIX, NAME_BASE_FRAME_LOCATION, NAME_CATEGORY, NAME_CATEGORY_COMPLETE, NAME_CATEGORY_COMPLETE_EXISTING, NAME_CLEAR_REASON, NAME_DIRECTORY, NAME_DIRECTORY_DESTINATION, NAME_DIRECTORY_ERROR, NAME_DIRECTORY_FAULT, NAME_DIRECTORY_PANIC, NAME_DIRECTORY_SOURCE, NAME_ERROR, NAME_ERROR__BASE_CAUSE, NAME_ERROR__BASE_NUMERIC, NAME_ERROR__ROOT_CAUSE, NAME_ERROR_NUMBER, NAME_ERROR_NUMBER_ALLOWED, NAME_FAULT_NUMBER, NAME_FAULT_NUMBER_ALLOWED, NAME_FILE, NAME_FILE_DESTINATION, NAME_FILE_ERROR, NAME_FILE_EXCPECTED, NAME_FILE_FAULT, NAME_FILE_PANIC, NAME_FILE_RENDERED, NAME_FILE_SOURCE, NAME_FILTER, NAME_FILTER_TYPE, NAME_FRAME_LOCATION, NAME_LOCALE, NAME_METAFILE, NAME_METAFILE_LOCAL, NAME_REASON, NAME_RENDERER_CLASS, NAME_RENDERER_NAME, RENDSITE_NOTICE, UNKNOWN`

Fields inherited from interface things.common.ThingsConstants
`A_NOBODY, A_NOTHING, AN_UNKNOWN, CHEAP_LINESEPARATOR, CODEC_EQUALITY, CODEC_ESCAPE_CHARACTER, CODEC_PROPERTY_ESCAPE_CHARACTER, CODEC_QUOTING, CODEC_SEPARATOR_CHARACTER, CODEC_SEPARATOR_CHARACTER_ESCAPED, COPYRIGHT_NOTICE, CR, CRLF, DEFAULT_TRANSPORT_CONNECT_RETRIES, DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY, EMPTY_STRING, EPIC_FAIL, FALSE, FS_FILE_DELETE_RETRIES, KERNEL_LOCK_TRY_LIMIT_MILLIS, LF, NEWLINE, PATH_SEPARATOR, PATH_SEPARATOR_STRING, TROOF, TRUE, WAYSA`

Constructor Summary
`ChangeContext(things.thinger.io.conduits.ConduitController cc)` Default constructor.

Method Summary
`void` | `createChangeFile(FileContext fcontext, java.io.File changeFile)` Create a change file.
`protected void` | `finalize()` Finalizer.
`void` | `reset()` Reset the context.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeContext

    public ChangeContext(things.thinger.io.conduits.ConduitController cc)
                  throws java.lang.Throwable

  Default constructor.

  Throws:
    `java.lang.Throwable`

Method Detail

### reset

    public void reset()
               throws java.lang.Throwable

  Reset the context. It'll dispose anything under management. It is appropriate to call this when shutting down too (or wait for the finalizer to do it for you).

  Throws:
    `java.lang.Throwable`

### createChangeFile

    public void createChangeFile(FileContext fcontext,
                                 java.io.File changeFile)
                          throws java.lang.Throwable

  Create a change file.

  Parameters:
    `fcontext` -
    `changeFile` - the actual file.
  Throws:
    `java.lang.Throwable`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Finalizer.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable` - for bugs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.